using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;
using System.IO;

public partial class Admin_SheZhi_TieZhiZhuangTai : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("贴子状态设置", "网站后台", "贴子状态设置", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }
    private void ZhiXing()
    {
        访问.验证管理员();
        if (this.IsPostBack)
            更改设置();
        else
            初始化();
    }
    private void 初始化()
    {
        if (Convert.ToBoolean(程序.设置["贴子状态_置顶_是否图标"]))
            ZhiDing_True.Checked = true;
        else
            ZhiDing_False.Checked = true;
        ZhiDing_WenZi.Text = Convert.ToString(程序.设置["贴子状态_置顶_值"]);
        ZhiDing_TuPian_.ImageUrl = 程序.安装位置 + "Images/TZZT/1.gif";
        if (Convert.ToBoolean(程序.设置["贴子状态_精华_是否图标"]))
            JingHua_True.Checked = true;
        else
            JingHua_False.Checked = true;
        JingHua_WenZi.Text = Convert.ToString(程序.设置["贴子状态_精华_值"]);
        JingHua_TuPian_.ImageUrl = 程序.安装位置 + "Images/TZZT/2.gif";
        if (Convert.ToBoolean(程序.设置["贴子状态_锁定_是否图标"]))
            SuoDing_True.Checked = true;
        else
            SuoDing_False.Checked = true;
        SuoDing_WenZi.Text = Convert.ToString(程序.设置["贴子状态_锁定_值"]);
        SuoDing_TuPian_.ImageUrl = 程序.安装位置 + "Images/TZZT/3.gif";
        if (Convert.ToBoolean(程序.设置["贴子状态_热门_是否图标"]))
            ReMen_True.Checked = true;
        else
            ReMen_False.Checked = true;
        ReMen_WenZi.Text = Convert.ToString(程序.设置["贴子状态_热门_值"]);
        ReMen_TuPian_.ImageUrl = 程序.安装位置 + "Images/TZZT/4.gif";
        if (Convert.ToBoolean(程序.设置["贴子状态_最新_是否图标"]))
            ZuiXin_True.Checked = true;
        else
            ZuiXin_False.Checked = true;
        ZuiXin_WenZi.Text = Convert.ToString(程序.设置["贴子状态_最新_值"]);
        ZuiXin_TuPian_.ImageUrl = 程序.安装位置 + "Images/TZZT/5.gif";
        ReMen_TiaoJian.Text = Convert.ToString(程序.设置["贴子状态_热门条件"]);
    }
    private void 保存图片(FileUpload 文件,int 状态)
    {
        if (文件.FileBytes.Length < 1)
            return;
        String 后缀=Path.GetExtension(文件.FileName).Substring(1);
        if (!常用.是否允许后缀("gif", 后缀))
            throw new Exception("仅允许上传GIF图像格式");
        文件.SaveAs(Server.MapPath("~/Images/TZZT/" + 状态 + "." + 后缀));
    }
    private void 更改设置()
    {
        访问.验证权限("1");
        程序.设置["贴子状态_置顶_是否图标"] = ZhiDing_True.Checked;
        程序.设置["贴子状态_置顶_值"] = ZhiDing_WenZi.Text;
        保存图片(ZhiDing_TuPian, 1);
        程序.设置["贴子状态_精华_是否图标"] = JingHua_True.Checked;
        程序.设置["贴子状态_精华_值"] = JingHua_WenZi.Text;
        保存图片(JingHua_TuPian, 2);
        程序.设置["贴子状态_锁定_是否图标"] = SuoDing_True.Checked;
        程序.设置["贴子状态_锁定_值"] = SuoDing_WenZi.Text;
        保存图片(SuoDing_TuPian, 3);
        程序.设置["贴子状态_热门_是否图标"] = ReMen_True.Checked;
        程序.设置["贴子状态_热门_值"] = ReMen_WenZi.Text;
        保存图片(ReMen_TuPian, 4);
        程序.设置["贴子状态_最新_是否图标"] = ZuiXin_True.Checked;
        程序.设置["贴子状态_最新_值"] = ZuiXin_WenZi.Text;
        保存图片(ZuiXin_TuPian, 5);
        程序.设置["贴子状态_热门条件"] = ReMen_TiaoJian.Text;

        File.WriteAllText(Server.MapPath("~/Data/XML/SheZhi.xml"), 程序.设置.生成XML(), System.Text.Encoding.UTF8);

        访问统计_管理记录 管理记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        管理记录.记录("更改贴子状态设置", 访问.用户["昵称"].ToString());
    }
}
